Subject: Re: [PATCH net-next v3 5/7] devlink: Add devlink health port reporters API

From: Ido Schimmel <[email-masked]>
Date: Mon, 13 Jul 2020 17:07:54 +0300

On Mon, Jul 13, 2020 at 09:18:25AM -0400, Qian Cai wrote:
> On Fri, Jul 10, 2020 at 03:25:11PM +0300, Moshe Shemesh wrote:
> > From: Vladyslav Tarasiuk <[email-masked]>
> > 
> > In order to use new devlink port health reporters infrastructure, add
> > corresponding constructor and destructor functions.
> > 
> > Signed-off-by: Vladyslav Tarasiuk <[email-masked]>
> > Reviewed-by: Moshe Shemesh <[email-masked]>
> > Reviewed-by: Jiri Pirko <[email-masked]>
> 
> This will trigger an use-after-free below while doing SR-IOV,

Yes. I sent a patch for internal review and I'm waiting for Vladyslav
and Moshe to review it. Will copy you once I post it.